/*
 *  1541fs.h - 1541-Emulation im Amiga-Dateisystem
 *
 *  Copyright (C) 1994-1996 by Christian Bauer
 */

#ifndef F1541FS_H
#define F1541FS_H

#include "IEC.h"

// Exportierte Funktionen
extern void FS_Init (DriveData *drive, char *prefs);
extern void FS_Exit (DriveData *drive);
extern int FS_Open (DriveData *drive, int channel, char *filename);
extern int FS_Close (DriveData *drive, int channel);
extern int FS_Read (DriveData *drive, int channel, char *data);
extern int FS_Write (DriveData *drive, int channel, char data, char eof);

#endif
